clang-tools 10.0.0

Public Member Functions | List of all members
clang::clangd::FileSystemProvider Class Referenceabstract

`#include <FSProvider.h>`

Inheritance diagram for clang::clangd::FileSystemProvider:
[legend]

## Public Member Functions
virtual | ~FileSystemProvider ()=default
virtual llvm::IntrusiveRefCntPtr< llvm::vfs::FileSystem > | getFileSystem () const =0
| Called by ClangdServer to obtain a vfs::FileSystem to be used for parsing. More...

## Detailed Description

Definition at line 20 of file FSProvider.h.

## Constructor & Destructor Documentation

## ◆ ~FileSystemProvider()

virtual clang::clangd::FileSystemProvider::~FileSystemProvider | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ getFileSystem()

virtual llvm::IntrusiveRefCntPtr<llvm::vfs::FileSystem> clang::clangd::FileSystemProvider::getFileSystem | ( |  | ) | const
| pure virtual

Called by ClangdServer to obtain a vfs::FileSystem to be used for parsing.

Context::current() will be the context passed to the clang entrypoint, such as addDocument(), and will also be propagated to result callbacks. Embedders may use this to isolate filesystem accesses.

Implemented in clang::clangd::RealFileSystemProvider, and clang::clangd::MockFSProvider.

Referenced by clang::clangd::ClangdServer::addDocument(), clang::clangd::ClangdServer::applyTweak(), clang::clangd::ClangdServer::formatOnType(), clang::clangd::ClangdServer::signatureHelp(), and clang::clangd::ClangdServer::switchSourceHeader().

The documentation for this class was generated from the following file:

- FSProvider.h